summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:14:45 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-12-14 23:25:03 +0100
commit576fc933c81aa6e526d87290af95e8e898e70ecb (patch)
tree73f9a202bcb454043dbb6b731d9b56ed4c5f49eb /kde-apps/libksane
parentdev-haskell/stack-bin: bump up to 1.6.1 (diff)
downloadgentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.gz
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.tar.bz2
gentoo-576fc933c81aa6e526d87290af95e8e898e70ecb.zip
kde-apps: Add KDE Applications 17.12.0
Package-Manager: Portage-2.3.18, Repoman-2.3.6
Diffstat (limited to 'kde-apps/libksane')
-rw-r--r--kde-apps/libksane/Manifest1
-rw-r--r--kde-apps/libksane/libksane-17.12.0.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/kde-apps/libksane/Manifest b/kde-apps/libksane/Manifest
index 51c50114bc0..ae890a93785 100644
--- a/kde-apps/libksane/Manifest
+++ b/kde-apps/libksane/Manifest
@@ -1 +1,2 @@
DIST libksane-17.08.3.tar.xz 137444 BLAKE2B b3b7e32f4bae04d0d032bb3d28d2b2a341b58c3b7feb59f03ee18a20dc7e22f763b692da41267ee5e625d1a7f937c0eaed689c1f9bd5f5c362e97c07a8abdc9b SHA512 313afff1ef59b5ed2b4139c398c7ceac0737d005857cc34e4cbc8f7859f593259773fd851ebaa8ef64601434d971b5b211e50e4e6d8ce8dcdd3c21a712109832
+DIST libksane-17.12.0.tar.xz 137016 BLAKE2B 3136bc2bf6583074cd43f3cadfed1a5e1a05777114a56cb81abe45bd36f8ffed044e53723aafe7618fffdf701b66c359dd0d48c259231322dbfb38fe00347798 SHA512 853362e2a416b4005935d80b9a39cc3249f56927bed0f4cb6c4981fe13270ebab096747f9d357334e7bb7c42e3cabe608b593dfb427f9bd30aa50afc47922758
diff --git a/kde-apps/libksane/libksane-17.12.0.ebuild b/kde-apps/libksane/libksane-17.12.0.ebuild
new file mode 100644
index 00000000000..502a7b61839
--- /dev/null
+++ b/kde-apps/libksane/libksane-17.12.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_BLOCK_SLOT4="false"
+inherit kde5
+
+DESCRIPTION="SANE Library interface based on KDE Frameworks"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ media-gfx/sane-backends
+"
+RDEPEND="${DEPEND}
+ !<kde-apps/libksane-15.08.3-r1:4
+ !kde-base/legacy-icons
+"